http://ssm-incidents.{region}.amazonaws.com/listTimelineEventsLists timeline events for the specified incident record.
Pagination limit
Pagination token
Sort timeline events by the specified key value pair.
<p>Filters the timeline events based on the provided conditional values. You can filter timeline events with the following keys:</p> <ul> <li> <p> <code>eventTime</code> </p> </li> <li> <p> <code>eventType</code> </p> </li> </ul> <p>Note the following when deciding how to use Filters:</p> <ul> <li> <p>If you don't specify a Filter, the response includes all timeline events.</p> </li> <li> <p>If you specify more than one filter in a single request, the response returns timeline events that match all filters.</p> </li> <li> <p>If you specify a filter with more than one value, the response returns timeline events that match any of the values provided.</p> </li> </ul>
The pagination token to continue to the next page of results.
Sorts the order of timeline events by the value specified in the <code>sortBy</code> field.
The maximum number of results per page.
The Amazon Resource Name (ARN) of the incident that includes the timeline event.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://ssm-incidents.{region}.amazonaws.com/listTimelineEvents' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://ssm-incidents.{region}.amazonaws.com/listTimelineEventsLists timeline events for the specified incident record.
Pagination limit
Pagination token
Sort timeline events by the specified key value pair.
<p>Filters the timeline events based on the provided conditional values. You can filter timeline events with the following keys:</p> <ul> <li> <p> <code>eventTime</code> </p> </li> <li> <p> <code>eventType</code> </p> </li> </ul> <p>Note the following when deciding how to use Filters:</p> <ul> <li> <p>If you don't specify a Filter, the response includes all timeline events.</p> </li> <li> <p>If you specify more than one filter in a single request, the response returns timeline events that match all filters.</p> </li> <li> <p>If you specify a filter with more than one value, the response returns timeline events that match any of the values provided.</p> </li> </ul>
The pagination token to continue to the next page of results.
Sorts the order of timeline events by the value specified in the <code>sortBy</code> field.
The maximum number of results per page.
The Amazon Resource Name (ARN) of the incident that includes the timeline event.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://ssm-incidents.{region}.amazonaws.com/listTimelineEvents' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}